; ________________________________
; shift unsigned long variable right N bits
;
; SRGLu32 ( n16 &var -- )

SRGLu32::
	ex	hl,de		; hl -> var
	pop	de		; e = shift
	ld	d,e		; d = shift
	push	hl		; stack: ->var
	push	de		; stack: ->var, shift
	 
	ld	e,(hl++)
	ld	d,(hl++)
	ld	a,(hl++)
	ld	h,(hl)
	ld	l,a		; hlde = var

	pop	af		; a = shift

	call	sru32		; hlde = hlde >> a
	
	ex	hl,(sp)		; hl->var, de=n.lo, stack:n.hi
	jp	store_top32_xhl_next

#if !defined(sru32)
#include "SRu32.s"
#endif
